This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 295821 - [Regression] beryl no longer draws any window decorations on wine windows
[Regression] beryl no longer draws any window decorations on wine windows
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beryl-core (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
http://bugs.winehq.org/show_bug.cgi?i...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 01:42 EDT by Stefan Becker
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 02:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2007-09-19 01:42:41 EDT
Description of problem:

Starting with wine 0.9.44 beryl window manager no longer draws any window
decorations on wine windows. According to the wine Bugzilla they consider this a
bug in beryl/compiz.

Version-Release number of selected component (if applicable):
beryl-core-0.2.1-1.fc7
beryl-kde-0.2.1-1.fc7
beryl-manager-0.2.1-1.fc7
beryl-plugins-0.2.1-1.fc7
beryl-settings-simple-0.2.1-1.fc7
beryl-settings-0.2.1-1.fc7
wine-core-0.9.44-1.fc7
wine-tools-0.9.44-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. update to wine >0.9.44
2. start any wine program
3.
  
Actual results:
No window decorations drawn on wine windows

Expected results:
Window decorations also drawn on wine windows

Additional info:
Comment 1 Jarod Wilson 2007-09-20 18:03:55 EDT
Beryl is basically dead following the beryl/compiz re-merger and the birth of
compiz-fusion, and I've not got the cycles myself to spend time back-porting
fixes from compiz-fusion. That being the case, I'm afraid the beryl packages
aren't going to be fixed unless someone else really wants to put forth the
effort to port stuff from compiz-fusion (dunno if the problem exists there or
not, wine bugzilla comment would suggest it does).

So for now, the options are CLOSED->WONTFIX, some other interested party taking
on the bug, or reassigning it to compiz... Feel free to voice your preferences
and we can proceed accordingly. If nobody speaks up, it'll be option #1 though. :)
Comment 2 Stefan Becker 2007-09-24 02:53:22 EDT
I installed the F8 compiz-* RPMs on my F7 box. After I convinced compiz to draw
window decorations I verified that wine 0.9.45 windows have window decorations
under this new compiz version.

So it is WONTFIX for F7/beryl and works OK for F8/compiz.

Note You need to log in before you can comment on or make changes to this bug.